<template>
	<view>
		<view class="head-bg">
			<view class="head-bg-content" :style="{'background-color':setColor}">
			</view>
			<image src="https://zxzhdc.zx-xcx.com/dining/home7.png"></image>
		</view>
		<view class="hg300"></view>
		<view class="head-portrait-content" v-if="systemInfo.is_vip==1">
			<view class="head-portrait flex-y-center">
				<view class="head-portrait-por" @click="bindRecharge(3)">
					<image class="head-portrait-icon"
						:src="userInfo.avatar?userInfo.avatar:'../../static/avatar_def.png'"></image>
					<image class="head-portrait-poa" v-if="userInfo.mobile" src="../../static/VIP2.png"></image>
				</view>
				<view @click="bindRecharge(3)">
					<view class="head-portrait-level_name">
						{{userInfo.level_name||''}}
					</view>
					<view class="head-portrait-moblie flex-y-center" :style="{color:setColor}">
						{{userInfo.mobile||'完善会员信息，享有更多优惠'}}
					</view>
				</view>
				<navigator class="Membership-rights flex-center" url="../../menber/membership"
					:style="{'background-color':setColor}">
					会员权益
				</navigator>
			</view>
			<view class="head-portrait-center flex box-pack-between">
				<navigator url="../couponList/couponList" class="flex-grow-1">
					<text>{{listCouponLength||0}}</text>
					<view class="head-portrait-center-conpun">
						优惠劵
					</view>
				</navigator>
				<view class="flex-grow-1">
					<text>{{userInfo.balance||0}}</text>
					<view class="head-portrait-center-conpun">
						余额
					</view>
				</view>
				<navigator :url="`../../menber/record?type=2`" class="flex-grow-1"
					v-if="systemInfo.set.is_jf==1 ||systemInfo.set.is_jf==3">
					<text>{{userInfo.integral||0}}</text>
					<view class="head-portrait-center-conpun">
						积分
					</view>
				</navigator>
				<view class="flex-grow-1">
					<text>{{userInfo.discount||0}}</text>
					<view class="head-portrait-center-conpun">
						会员折扣
					</view>
				</view>
			</view>
		</view> 
		<view v-else class="head-portrait-content" style="height: auto;">
			<view class="head-portrait flex-y-center">
				<view class="head-portrait-por">
					<image class="head-portrait-icon"
						:src="userInfo.avatar?userInfo.avatar:'../../static/avatar_def.png'"></image>
					<image class="head-portrait-poa" v-if="userInfo.mobile" src="../../static/VIP2.png"></image>
				</view>
				<view>
					<view class="head-portrait-level_name">
						{{userInfo.level_name||''}}
					</view>
					<view class="head-portrait-moblie flex-y-center" :style="{color:setColor}">
					</view>
				</view>
			</view>
		</view>

		<view class="main">
			<view class="box-pack-between flex-y-center">
				<view class="block-title">我的服务</view>
				<!-- #ifdef MP-WEIXIN -->
				<view @click="bindAd" v-if="systemInfo.set.adv_jf>0" class="flex-y-center ad_title"
					style="margin-right: 20rpx;">
					<text class="ft24">
						<text style="color: red;">*观看视频得积分</text>
						<text class="iconfont icon-jiantou ft20" style="font-size: 22rpx;"></text> </text>
				</view>
				<!-- #endif -->
			</view>

			<view class="menu-list">

				<view @click="bindRecharge(1)" class="item" v-if="systemInfo.is_vip==1">
					<i class="iconfont icon-chuzhiyouli1" :style="{color:setColor}"></i>
					<view class="name">储值有礼</view>
					<view class="iconfont icon-rehot"></view>
				</view>

				<block v-if="agent_info.is_shared==1 && agent_info.status==1 ">
					<block v-if="agent_info.is_hehuoren==1">
						<navigator class="item" :url="`/agent/share?title=共享合伙人&pay_type=${agent_info.pay_type}`">
							<i class="iconfont icon-jifen01" :style="{color:setColor}"></i>
							<view class="name">共享合伙人</view>
						</navigator>
					</block>
					<block v-else>
						<navigator class="item" url="/agent/share?title=客源中心" v-if="agent_info.is_kyzx==1">
							<i class="iconfont icon-jifen01" :style="{color:setColor}"></i>
							<view class="name">客源中心</view>
						</navigator>
						<view class="item" @click="bindRecharge(4)" v-if="agent_info.is_kyzx==2">
							<i class="iconfont icon-jifen01" :style="{color:setColor}"></i>
							<view class="name">申请成为合伙人</view>
						</view>
					</block>
				</block>

				<navigator url="../../subscribe/order" class="item">
					<i class="iconfont icon-dingdan" :style="{color:setColor}"></i>
					<view class="name">我的预约</view>
				</navigator>

				<navigator url="../../miaosha/order" class="item">
					<i class="iconfont icon-wodedingdan2" :style="{color:setColor}"></i>
					<view class="name">我的秒杀</view>
				</navigator>

				<navigator url="../../pintuan/order" class="item">
					<i class="iconfont icon-dingdandingdanmingxishouzhimingxi" :style="{color:setColor}"></i>
					<view class="name">我的拼团</view>
				</navigator>

				<navigator class="item" url="../couponList/couponList">
					<i class="iconfont icon-wodeyouhuiquan" :style="{color:setColor}"></i>
					<view class="name">我的优惠劵</view>
				</navigator>

				<!-- #ifdef MP-WEIXIN -->
				<!-- <navigator class="item" url="../../menber/live">
					<i class="iconfont icon-shipinzhibo" :style="{color:setColor}"></i>
					<view class="name">直播列表</view>
				</navigator> -->
				<!-- #endif -->
				
				<!-- #ifdef MP-WEIXIN -->
				<view class="item" @click="navigateToMiniProgram" v-if="systemInfo.set.is_zhidou==1">
					<i class="iconfont icon-jifen01" :style="{color:setColor}"></i>
					<view class="name">智豆商圈</view>
				</view>
				<!-- #endif -->

				<!-- <view class="item" @click="navigateToMiniProgram" v-if="applet_info.appid">
					<i class="iconfont icon-jifen01" :style="{color:setColor}"></i>
					<view class="name">{{applet_info.name||'智豆商圈'}}</view>
				</view> -->

				<navigator url="../lineup/lineupInfo" class="item">
					<i class="iconfont icon-quhaojilu1" :style="{color:setColor}"></i>
					<view class="name">取号记录</view>
				</navigator>

				<navigator v-if="systemInfo.is_vip==1" class="item"
					:url="`../../menber/record?card_no=${info.ali_card_out}&type=1`">
					<i class="iconfont icon-chongzhijilu1" :style="{color:setColor}"></i>
					<view class="name">充值记录</view>
				</navigator>

				<navigator v-if="systemInfo.is_vip==1" class="item"
					url="../../menber/balance-record">
					<i class="iconfont icon-dingdandingdanmingxishouzhimingxi" :style="{color:setColor}"></i>
					<view class="name">余额扣款记录</view>
				</navigator>
				
				<navigator v-if="systemInfo.is_vip==1 && systemInfo.set.is_jf==1 || systemInfo.set.is_jf==3"
					:url="`../../menber/record?type=2`" class="item">
					<i class="iconfont icon-jifenjilu1" :style="{color:setColor}"></i>
					<view class="name">积分明细</view>
				</navigator>

				<navigator v-if="systemInfo.is_vip==1" url="../../menber/integral-commutation" class="item">
					<i class="iconfont icon-duihuanjilu1" :style="{color:setColor}"></i>
					<view class="name">兑换记录</view>
				</navigator>

				<navigator url="../shareList/shareList" class="item">
					<i class="iconfont icon-jifenjilu1" :style="{color:setColor}"></i>
					<view class="name">分享记录</view>
				</navigator>

				<navigator v-if="systemInfo.is_vip==1" class="item" url="../../menber/membership">
					<i class="iconfont icon-huiyuanquanyi1" :style="{color:setColor}"></i>
					<view class="name">会员权益</view>
				</navigator>

				<view v-if="systemInfo.is_vip==1&is_ali_card" class="item" @click="onOpenCard">
					<i class="iconfont icon-qiabao" :style="{color:setColor}"></i>
					<view class="name">领取会员卡</view>
				</view>

				<view v-if="systemInfo.is_vip==1&&systemInfo.set.is_jf==1 || systemInfo.set.is_jf==3"
					@click="bindRecharge(2)" class="item">
					<i class="iconfont icon-jifenshangcheng1" :style="{color:setColor}"></i>
					<view class="name">积分商城</view>
				</view>
				
				<navigator class="item" url="../address/address?teen_index=3">
					<i class="iconfont icon-shangjia" :style="{color:setColor}"></i>
					<view class="name">地址管理</view>
				</navigator>
				
				<navigator class="item" url="../../menber/shop">
					<i class="iconfont icon-shangjiaxinxi1" :style="{color:setColor}"></i>
					<view class="name">商家信息</view>
				</navigator>
				
				<view class="item" @click="tel">
					<i class="iconfont icon-lianxikefu1" :style="{color:setColor}"></i>
					<view class="name">联系我们</view>
				</view>
				
			</view>
		</view>
		<view class="brand_label">
			{{systemInfo.brand_label||''}}
		</view>
		<model :obj="modelObj"></model>
		<view class="hg100"></view>
		<page-btm-bar :active="4" />
		<!-- #ifdef MP-ALIPAY -->
		<!-- <subscribe-msg /> -->
		<!-- #endif -->
		<Vphone :getPhonePop="getPhonePop" @close="setClose"></Vphone>
	</view>
</template>
<script>
	// #ifdef MP-ALIPAY
	// const {
	// 	requestSubscribeMessage
	// } = requirePlugin('subscribeMsg');
	const alipassToolKit = requirePlugin("alipassToolKit") // 引用名称需与 app.json 中定义名称相同
	// #endif

	let hideLoading = true;
	import Vphone from '@/components/v-phone/v-phone.vue';
	import {
		mapState,
		mapMutations
	} from 'vuex';
	let videoAd = null;
	export default {
		components: {
			Vphone
		},
		data() {
			return {
				modelObj: {},
				getPhonePop: false,
				listCouponLength: 0,
				cardNumber: "",
				wxCardData: {},
				card_url: '',
				is_ali_card: true,
				agent_info: {},
				applet_info: {},
			}
		},
		computed: {
			...mapState(['systemInfo', 'setColor', 'store_id', 'userInfo']),
			dateRange() {
				const {
					store_id,
					userInfo
				} = this;
				return {
					store_id,
					userInfo
				}
			}
		},
		watch: {
			systemInfo(val) {
				if (val.admin_id) {
					// #ifdef MP-ALIPAY
					this.alipaycard();
					// #endif
					// #ifdef MP-WEIXIN
					this.WechatCard();
					// #endif
				}
			},
		},

		onLoad() {
			uni.hideTabBar();
			if (this.systemInfo.admin_id) {
				// #ifdef MP-ALIPAY
				this.alipaycard();
				// #endif
				// #ifdef MP-WEIXIN
				this.WechatCard();
				// #endif
			}
			this.applet();
		},

		onShow() {
			this.menber_info();
			this.MyCoupon();
			this.agent();
		},

		onReady() {
			if (wx.createRewardedVideoAd) {
				videoAd = wx.createRewardedVideoAd({
					adUnitId: this.systemInfo.set.jili_id
				})
				videoAd.onLoad(() => {
					console.log('激励视频 广告加载成功')
				})
				videoAd.onError((err) => {
					console.log('激励视频 广告显示失败')
				})
				videoAd.onClose((res) => {
					// 用户点击了【关闭广告】按钮
					if (res && res.isEnded) {
						console.log('正常播放结束，可以下发游戏奖励')
						this.advertisements();
						// 正常播放结束，可以下发游戏奖励
					} else {
						// 播放中途退出，不下发游戏奖励
						uni.showToast({
							title: '播放结束才能获得积分喔',
							icon: 'none'
						})
					}
				})
			}
		},

		onShareAppMessage(e) {
			return {}
		},

		onShareTimeline() {},

		methods: {

			applet() {
				let type;
				// #ifdef MP-WEIXIN
				type = 1
				// #endif
				// #ifdef MP-ALIPAY
				type = 2
				// #endif
				this.$http.request('xcx/applet_index', {
					store_id: this.store_id,
					type: type,
				}, "", true, true).then(res => {
					this.applet_info = res.data;
				})
			},

			agent() {
				this.$http.request("shared/setting", {
					store_id: this.store_id,
					user_id: this.userInfo.id,
				}).then(res => {
					this.agent_info = res.data;
				})
			},

			navigateToMiniProgram() {
				// uni.showModal({
				// 	content: "敬请期待",
				// 	showCancel: false
				// })
				// return
				var mobile = this.userInfo.mobile,
					path = '',
					type = this.userInfo.mobile ? 1 : 2;
				// if('wx394da23b82f9863a'==this.applet_info.appid){
				// 	 path = `${this.applet_info.pages}?mobile=${mobile}&type=${type}`;
				// }else{
				// 	 path = this.applet_info.pages;
				// }
				// #ifdef MP-WEIXIN
				uni.navigateToMiniProgram({
					appId: 'wxf5a2bd2f2e47b5b7',
					path: `pages/integral-index/index?mobile=${mobile}&type=${type}`,
					envVersion: 'develop',
					success(res) {
						// 打开成功
					}
				})
				// #endif	

				// #ifdef MP-ALIPAY
				uni.navigateToMiniProgram({
					appId: '2021002177604413',
					path: `pages/integral-index/index?mobile=${mobile}&type=${type}`,
					envVersion: 'develop',
					success(res) {
						// 打开成功
					}
				})
				// #endif
				// var mobile = this.userInfo.mobile,
				// 	type = this.userInfo.mobile ? 1 : 2;
				// uni.navigateToMiniProgram({
				// 	appId: 'wx394da23b82f9863a',
				// 	path: `pages/integral-index/index?mobile=${mobile}&type=${type}`,
				// 	envVersion: 'develop',
				// 	success(res) {}
				// })
			},

			bindAd() {
				console.log(this.systemInfo.set.jili_id, "this.systemInfo.set.jili_id")
				// 在页面中定义激励视频广告
				// 在页面onLoad回调事件中创建激励视频广告实例
				// 用户触发广告后，显示激励视频广告
				if (videoAd) {
					videoAd.show().catch(() => {
						// 失败重试
						videoAd.load()
							.then(() => videoAd.show())
							.catch(err => {
								console.log('激励视频 广告显示失败')
								uni.showToast({
									title: '激励视频 广告显示失败',
									icon: 'none'
								})
							})
					})
				}
			},

			advertisements() {
				let params = {
					user_id: this.userInfo.id,
					store_id: this.store_id
				}
				let share_user_id = uni.getStorageSync('share_user_id')
				if (share_user_id) {
					params.share_id = share_user_id
				}
				this.$http.request('yy/get_advertisements', params, "", "", hideLoading).then(res => {
					if (res.code == "200") {
						uni.showToast({
							title: res.message,
							icon: 'none'
						})
						setTimeout(() => {
							this.menber_info();
						}, 2000)
					}
				}).catch((res) => {});
			},

			// 子组件传参
			setClose(e) {
				this.getPhonePop = e;
			},

			WechatCard() {
				this.$http.request('xcx/WechatCard', {
					admin_id: this.systemInfo.admin_id,
				}, "", "", hideLoading).then(res => {
					if (res.code == "200") {
						if (res.data.length <= 0) {
							this.is_ali_card = false;
						} else {
							this.is_ali_card = true;
							this.Card()
						}
					}
				}).catch((res) => {});
			},

			alipaycard() {
				this.$http.request('Alipaymembership/alipaycard', {
					admin_id: this.systemInfo.admin_id,
				}, "", "", hideLoading).then(res => {
					if (res.code == "200") {
						this.is_ali_card = !res.data.card_id ? false : true;
						if (res.data.card_id) {
							this.Card();
						}
					}
				}).catch((res) => {});
			},

			Card() {
				// #ifdef MP-ALIPAY
				this.$http.request('Alipaymembership/Alipaymembershipcard_url', {
					admin_id: this.systemInfo.admin_id,
				}, "", "", hideLoading).then(res => {
					if (res.code == "200") {
						this.card_url = res.data;
					}
				}).catch((res) => {});
				// #endif
				// #ifdef MP-WEIXIN
				this.$http.request('xcx/Lqcard', {
					admin_id: this.systemInfo.admin_id,
				}, "", "", hideLoading).then(res => {
					this.is_ali_card = !res.data.card_id ? false : true;
					if (res.code == "200") {
						this.wxCardData = res.data;
					}
				}).catch((res) => {});
				// #endif
			},

			onOpenCard() {
				let subscribe = uni.getStorageSync('balance_subscribe');
				// #ifdef MP-WEIXIN
				let {
					card_id,
					code,
					timestamp,
					nonce_str,
					signature,
				} = this.wxCardData;
				let cardExt = {
					code,
					timestamp,
					nonce_str,
					signature,
					outer_str: 'miniProgram'
				}
				wx.addCard({
					cardList: [{
						cardId: card_id,
						cardExt: JSON.stringify(cardExt)
					}],
					success: (res) => {
						console.log(res, 'res')
						// uni.requestSubscribeMessage({
						// 	tmplIds: [subscribe.card_tid],
						// 	success: (r) => {},
						// 	complete: (r) => {
						this.addCardSuccess(res.cardList[0]);
						// 	}
						// })
					},
					fail: (err) => {
						console.log(err)
					}
				})
				// #endif
				// #ifdef MP-ALIPAY
				let that = this;
				let params = {
					url: that.card_url, //开卡链接，通过上文 获取投放链接 获取
					callback: function(res) {
						console.log('======', res)
						if (res.success === true) {
							console.log('----- success')
						}
					}
				}
				alipassToolKit.openCard(params); // 接口参数说明如下
				// my.addCardAuth({
				// 	url: that.card_url,
				// 	success: (res) => {
				// 		console.log(res, "res")
				// 		if (res.resultStatus == 9000) {
				// 			that.obj = res.result
				// 			my.alert({
				// 				content: '领取成功'
				// 			});
				// 			that.notify();
				// 		}
				// 	},
				// 	fail: (res) => {},
				// });
				// #endif
			},

			MyCoupon() {
				let arr = [];
				this.$http.request('xcx/MyCoupons', {
					user_id: this.userInfo.id,
					store_id: this.store_id,
				}, "", "", hideLoading).then(res => {
					for (let s of res.data) {
						if (s.state == 1) {
							arr.push(s)
						}
					};
					this.listCouponLength = arr.length;
				})
			},

			menber_info() {
				this.$http.request('xcx/userinfo', {
					id: this.userInfo.id,
				}, "", "", hideLoading).then(res => {
					if (res.code == "200") {
						this.$store.commit('SET_USER_INFO', res.data);

					}
				}).catch((res) => {
					uni.showToast({
						title: res.message,
						icon: 'none'
					})
				});
			},

			addCardSuccess({
				code,
				cardId
			}) {
				let userInfo = uni.getStorageSync('userInfo');
				this.$http.request('xcx/Lqcard_success', {
					user_id: userInfo.id,
					code: code,
					card_id: cardId
				}).then(res => {
					if (res.code == "200") {
						uni.showToast({
							title: "领取成功",
							icon: 'none'
						})
					}
				}).catch((res) => {
					console.log(res, "666")
					uni.showToast({
						title: res.message,
						icon: 'none'
					})
				});
			},

			notify() {
				let obj = this.obj;
				obj.user_id = uni.getStorageSync('userInfo').id;
				obj.admin_id = uni.getStorageSync('systemInfo').admin_id;
				this.$http.request('Alipaymembership/notify', obj, "", "", hideLoading).then(res => {
					if (res.code == "200") {}
				}).catch((res) => {
					console.log(res, "666")
				});
			},

			tel(e) {
				uni.makePhoneCall({
					phoneNumber: this.systemInfo.tel //仅为示例
				});
			},

			Subscribe() {
				let subscribe = uni.getStorageSync('balance_subscribe');
				let that = this;
				// 调用方法，唤起订阅组件
				 my.requestSubscribeMessage({
					thirdTypeAppId: that.systemInfo.alipay_appid, // 可选，isv接入场景下必填
					entityIds: [subscribe.alipay_product], // 模板id列表，最多3个
					// 接收结果的回调方法
					complete:(r)=> {
						console.log('订阅回调', r);
					},
				});
			},

			// 开启会员弹窗
			onGetphone(e) {
				this.getPhonePop = true;
			},

			bindRecharge(type) {
				if (!this.userInfo.mobile) {
					// #ifdef MP-WEIXIN
					this.modelObj = {
						content: "完善资料享有更多优惠，是否完善？",
					};
					this.$store.commit('showAttrPicker', true)
					// #endif
					// #ifdef MP-ALIPAY
					this.getPhonePop = true;
					// #endif
					return
				}

				if (type == 1) {
					uni.navigateTo({
						url: '../../menber/recharge',
					})
				}

				if (type == 2) {
					uni.navigateTo({
						url: '../../menber/integral',
					})
				}

				if (type == 3) {
					uni.navigateTo({
						url: '../../menber/personal',
					})
				}

				if (type == 4) {
					console.log('点击')
					this.$http.request("shared/index", {
						store_id: this.store_id,
						user_id: this.userInfo.id,
					}).then(res => {
						console.log('点击')
						let user_info = res.data;
						let url = (user_info.state == 2 || user_info.state == 3) ? (
								'/agent/applicationStatus?status=' + user_info.state) : user_info.state == 1 ?
							'/agent/share' : '/agent/application';
						uni.navigateTo({
							url: url,
						})
					})
				}
			},
		}
	}
</script>

<style>
	page {
		background: #F1F1F1;
	}

	.brand_label {
		text-align: center;
		padding: 50rpx 40rpx;
		font-size: 26rpx;
		color: #999999;
		font-style: oblique;
	}

	.ad_title {
		color: #999999;
	}

	.hg100 {
		height: 100rpx;
		height: calc(100rpx + constant(safe-area-inset-bottom));
		height: calc(100rpx + env(safe-area-inset-bottom));
	}

	.line {
		width: 2rpx;
		height: 80rpx;
		background-color: #F1F1F1;
	}

	.Membership-rights {
		color: #FFFFFF;
		background-color: #fa9d3b;
		font-size: 22rpx;
		position: absolute;
		right: 0;
		top: 38rpx;
		border-radius: 40rpx 0rpx 0rpx 40rpx;
		height: 46rpx;
		width: 138rpx;

	}

	.head-bg {
		width: 100%;
		height: 450rpx;
		position: absolute;
	}

	.head-bg image {
		width: 100%;
		height: 100%;
		position: absolute;
		top: 0;
		left: 0;
	}

	.head-bg-content {
		width: 100%;
		height: 100%;
		position: absolute;
		top: 0;
		left: 0;
	}

	.hg300 {
		height: 300rpx;
	}

	.head-portrait {
		padding: 10rpx 0;
		position: relative;
		top: -20rpx;
	}

	.head-portrait-por {
		position: relative;
		margin-right: 20rpx;
	}

	.head-portrait-poa {
		position: absolute;
		right: 0;
		bottom: 20rpx;
		width: 35rpx;
		height: 35rpx;
		margin-right: 10rpx;
	}

	.head-portrait-content {
		width: 690rpx;
		background-color: #FFFFFF;
		position: relative;
		margin: 0 auto;
		padding: 0 0 0 30rpx;
		border-radius: 16rpx;
		height: 325rpx;
		text-align: center;
	}


	.head-portrait-level_name {
		font-size: 30rpx;
		text-align: left;
	}

	.head-portrait-moblie {
		font-size: 26rpx;
		color: #fa9d3b;
		margin-top: 10rpx;
	}


	.head-portrait-icon {
		width: 134rpx;
		height: 134rpx;
		margin-right: 10rpx;
		position: relative;
		top: -20rpx;
		border-radius: 100px;
	}

	.head-portrait-center {
		padding-top: 30rpx;
		font-size: 32rpx;
	}

	.head-portrait-center-conpun {
		font-size: 28rpx;
		color: #999;
		margin-top: 20rpx;
	}

	.main {
		border-radius: 20rpx 20rpx 0 0;
		background-color: #fff;
		width: 690rpx;
		margin: 0 auto;
		margin-top: 20rpx;
		position: relative
	}

	.main .block-title {
		height: 98rpx;
		line-height: 98rpx;
		font-size: 30rpx;
		font-weight: 500;
		color: #2c2c2c;
		border-bottom: 2rpx solid #f5f5f5;
		margin: 0 40rpx;

	}

	.main .menu-list {
		display: flex;
		flex-flow: row wrap;
		justify-content: flex-start;
		align-items: flex-start;
		align-content: flex-start;
	}

	.main .menu-list .item {
		flex: none;
		display: block;
		width: 25%;
		height: 154rpx;
		display: flex;
		flex-flow: column nowrap;
		justify-content: center;
		align-items: center;
		position: relative;
	}

	.icon-rehot {
		position: absolute;
		right: 32rpx;
		top: 10rpx;
		color: #dd524d;

	}

	.main .menu-list .item .iconfont {
		font-size: 40rpx;
	}

	page .main .menu-list .item .icon-lujing134 {
		font-size: 48rpx;
	}

	page .main .menu-list .item .icon-qiandaoquhao {
		font-size: 60rpx;
	}

	.main .menu-list .item .name {
		font-size: 24rpx;
		color: #2c2c2c;
		line-height: 33rpx;
		margin-top: 16rpx;
		text-align: center;
	}
</style>
